Modify

Opened 8 years ago

Closed 8 years ago

Last modified 8 years ago

#7462 closed defect (fixed)

No action definded for buttons problems

Reported by: rickmastfan67 Owned by: team
Priority: normal Milestone:
Component: Core Version: latest
Keywords: Cc:

Description

The following errors have now shown up in the last day, odds are because of the changeset [5028]. This showed up right when I started up JOSM and before I had a chance to load any data.

Button org.openstreetmap.josm.gui.SideButton[,0,0,0x0,invalid,layout=java.awt.BorderLayout,alignmentX=0.0,alignmentY=0.5,border=com.sun.java.swing.plaf.windows.XPStyle$XPEmptyBorder@56a96eba,flags=296,maximumSize=,minimumSize=,preferredSize=,defaultIcon=javax.swing.ImageIcon@439a8942,disabledIcon=,disabledSelectedIcon=,margin=java.awt.Insets=[top=-1,left=0,bottom=-1,right=0],paintBorder=true,paintFocus=true,pressedIcon=,rolloverEnabled=true,rolloverIcon=,rolloverSelectedIcon=,selectedIcon=,text=Reset,defaultCapable=true] doesn't have action defined
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-02-29 02:32:31
Last Changed Author: Don-vip
Revision: 5029
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-02-28 21:01:21 +0100 (Tue, 28 Feb 2012)
Last Changed Rev: 5029

Identification: JOSM/1.5 (5029 en)
Memory Usage: 122 MB / 2730 MB (78 MB allocated, but free)
Java version: 1.6.0_31, Sun Microsystems Inc., Java HotSpot(TM) 64-Bit Server VM
Operating system: Windows 7

Plugin: OpeningHoursEditor (27852)
Plugin: buildings_tools (27865)
Plugin: imageryadjust (27865)
Plugin: licensechange (27888)
Plugin: mapdust (27884)
Plugin: measurement (27852)
Plugin: openstreetbugs (27852)
Plugin: reverter (27865)
Plugin: turnrestrictions (27891)
Plugin: undelete (27852)
Plugin: utilsplugin2 (27937)

Attachments (2)

button_dots.png (5.0 KB) - added by rickmastfan67 8 years ago.
ticket_7462_LicenseChange_Crash.png (42.9 KB) - added by rickmastfan67 8 years ago.

Download all attachments as: .zip

Change History (10)

Changed 8 years ago by rickmastfan67

Attachment: button_dots.png added

comment:1 Changed 8 years ago by rickmastfan67

Also, dots now show up on the buttons in the "Layers" sub-window because of the text now being added to them. This didn't happen in r5027 and before.

I think that adding the text to those buttons wasn't a smart idea. Nobody has a screen big enough that they would expand that window to allow all of the text to be shown. All they care about is the text showing up when you hover your mouse over the buttons (which happened in r5027 and before).

comment:2 Changed 8 years ago by jttt

Texts needs to be there for popup menu on title bar to work. I just forgot to set usename=false. The warning probably comes from some plugin, I'll find it and also make the warning a bit more meaningful, currently it doesn't say what plugin cause it.

comment:3 Changed 8 years ago by jttt

Resolution: fixed
Status: newclosed

In 5030/josm:

Fix #7462 No action definded for buttons (becauase of r5028)

comment:4 Changed 8 years ago by rickmastfan67

Resolution: fixed
Status: closedreopened
Summary: No action definded for buttons (becauase of r5028)No action definded for buttons problems

Sorry, but it hasn't been fully fixed. While the error is now gone from the console right when you start JOSM, it now shows up when you download some OSM data or open a file. In fact, the crashing plugin is the "LicenseChange" one.

The only bad part about the plugin crash is that it doesn't provide the normal error message where you can copy and paste it here. If you weren't looking at the console, you wouldn't know about the crash. So, here's an attached image of the crash:

Here's my info:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-03-01 02:32:23
Last Changed Author: jttt
Revision: 5031
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-02-29 16:59:01 +0100 (Wed, 29 Feb 2012)
Last Changed Rev: 5031

Identification: JOSM/1.5 (5031 en)
Memory Usage: 219 MB / 2730 MB (96 MB allocated, but free)
Java version: 1.6.0_31, Sun Microsystems Inc., Java HotSpot(TM) 64-Bit Server VM
Operating system: Windows 7
Dataset consistency test: No problems found

Plugin: OpeningHoursEditor (27852)
Plugin: buildings_tools (27865)
Plugin: licensechange (27888)
Plugin: mapdust (27884)
Plugin: measurement (27957)
Plugin: openstreetbugs (27852)
Plugin: reverter (27865)
Plugin: turnrestrictions (27891)
Plugin: undelete (27852)
Plugin: utilsplugin2 (27937)

Changed 8 years ago by rickmastfan67

comment:5 Changed 8 years ago by akks

JunctionChecker is also broken (because of SideButtons). But ALL other plugins seem to start correctly :)

Button org.openstreetmap.josm.gui.SideButton[,0,0,0x0,invalid,layout=java.awt.BorderLayout,alignmentX=0.0,alignmentY=0.5,border=com.sun.java.swing.plaf.windows.XPStyle$XPEmptyBorder@148c183,flags=296,maximumSize=,minimumSize=,preferredSize=,defaultIcon=javax.swing.ImageIcon@126da4e,disabledIcon=,disabledSelectedIcon=,margin=java.awt.Insets[top=-1,left=0,bottom=-1,right=0],paintBorder=true,paintFocus=true,pressedIcon=,rolloverEnabled=true,rolloverIcon=,rolloverSelectedIcon=,selectedIcon=,text=Создать,defaultCapable=true] doesn't have action defined
java.lang.Exception
	at org.openstreetmap.josm.gui.dialogs.ToggleDialog.createLayout(ToggleDialog.java:770)
	at org.openstreetmap.josm.plugins.JunctionChecker.JunctionCheckDialog.<init>(JunctionCheckDialog.java:99)
	at org.openstreetmap.josm.plugins.JunctionChecker.JunctionCheckerPlugin.mapFrameInitialized(JunctionCheckerPlugin.java:52)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.openstreetmap.josm.plugins.PluginProxy.mapFrameInitialized(PluginProxy.java:29)
	at org.openstreetmap.josm.plugins.PluginHandler.notifyMapFrameChanged(PluginHandler.java:835)
	at org.openstreetmap.josm.Main.setMapFrame(Main.java:210)
	at org.openstreetmap.josm.Main.addLayer(Main.java:323)
	at org.openstreetmap.josm.actions.downloadtasks.DownloadOsmTask$DownloadTask.finish(DownloadOsmTask.java:191)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable$1.run(PleaseWaitRunnable.java:89)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:241)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:705)
	at java.awt.EventQueue.access$000(EventQueue.java:101)
	at java.awt.EventQueue$3.run(EventQueue.java:666)
	at java.awt.EventQueue$3.run(EventQueue.java:664)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:675)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:211)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:128)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:121)
	at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
	at java.awt.Dialog.show(Dialog.java:1072)
	at java.awt.Component.show(Component.java:1651)
	at java.awt.Component.setVisible(Component.java:1603)
	at java.awt.Window.setVisible(Window.java:1013)
	at java.awt.Dialog.setVisible(Dialog.java:1003)
	at org.openstreetmap.josm.gui.progress.PleaseWaitProgressMonitor$4.run(PleaseWaitProgressMonitor.java:170)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:705)
	at java.awt.EventQueue.access$000(EventQueue.java:101)
	at java.awt.EventQueue$3.run(EventQueue.java:666)
	at java.awt.EventQueue$3.run(EventQueue.java:664)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:675)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:211)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:128)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:117)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:113)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Button org.openstreetmap.josm.gui.SideButton[,0,0,0x0,invalid,disabled,layout=java.awt.BorderLayout,alignmentX=0.0,alignmentY=0.5,border=com.sun.java.swing.plaf.windows.XPStyle$XPEmptyBorder@148c183,flags=296,maximumSize=,minimumSize=,preferredSize=,defaultIcon=javax.swing.ImageIcon@1cf7c2d,disabledIcon=,disabledSelectedIcon=,margin=java.awt.Insets[top=-1,left=0,bottom=-1,right=0],paintBorder=true,paintFocus=true,pressedIcon=,rolloverEnabled=true,rolloverIcon=,rolloverSelectedIcon=,selectedIcon=,text=Проверить ,defaultCapable=true] doesn't have action defined
java.lang.Exception
	at org.openstreetmap.josm.gui.dialogs.ToggleDialog.createLayout(ToggleDialog.java:770)
	at org.openstreetmap.josm.plugins.JunctionChecker.JunctionCheckDialog.<init>(JunctionCheckDialog.java:99)
	at org.openstreetmap.josm.plugins.JunctionChecker.JunctionCheckerPlugin.mapFrameInitialized(JunctionCheckerPlugin.java:52)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.openstreetmap.josm.plugins.PluginProxy.mapFrameInitialized(PluginProxy.java:29)
	at org.openstreetmap.josm.plugins.PluginHandler.notifyMapFrameChanged(PluginHandler.java:835)
	at org.openstreetmap.josm.Main.setMapFrame(Main.java:210)
	at org.openstreetmap.josm.Main.addLayer(Main.java:323)
	at org.openstreetmap.josm.actions.downloadtasks.DownloadOsmTask$DownloadTask.finish(DownloadOsmTask.java:191)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable$1.run(PleaseWaitRunnable.java:89)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:241)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:705)
	at java.awt.EventQueue.access$000(EventQueue.java:101)
	at java.awt.EventQueue$3.run(EventQueue.java:666)
	at java.awt.EventQueue$3.run(EventQueue.java:664)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:675)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:211)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:128)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:121)
	at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
	at java.awt.Dialog.show(Dialog.java:1072)
	at java.awt.Component.show(Component.java:1651)
	at java.awt.Component.setVisible(Component.java:1603)
	at java.awt.Window.setVisible(Window.java:1013)
	at java.awt.Dialog.setVisible(Dialog.java:1003)
	at org.openstreetmap.josm.gui.progress.PleaseWaitProgressMonitor$4.run(PleaseWaitProgressMonitor.java:170)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:705)
	at java.awt.EventQueue.access$000(EventQueue.java:101)
	at java.awt.EventQueue$3.run(EventQueue.java:666)
	at java.awt.EventQueue$3.run(EventQueue.java:664)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:675)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:211)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:128)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:117)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:113)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Button org.openstreetmap.josm.gui.SideButton[,0,0,0x0,invalid,disabled,layout=java.awt.BorderLayout,alignmentX=0.0,alignmentY=0.5,border=com.sun.java.swing.plaf.windows.XPStyle$XPEmptyBorder@148c183,flags=296,maximumSize=,minimumSize=,preferredSize=,defaultIcon=javax.swing.ImageIcon@357b3c,disabledIcon=,disabledSelectedIcon=,margin=java.awt.Insets[top=-1,left=0,bottom=-1,right=0],paintBorder=true,paintFocus=true,pressedIcon=,rolloverEnabled=true,rolloverIcon=,rolloverSelectedIcon=,selectedIcon=,text=Найти ,defaultCapable=true] doesn't have action defined
java.lang.Exception
	at org.openstreetmap.josm.gui.dialogs.ToggleDialog.createLayout(ToggleDialog.java:770)
	at org.openstreetmap.josm.plugins.JunctionChecker.JunctionCheckDialog.<init>(JunctionCheckDialog.java:99)
	at org.openstreetmap.josm.plugins.JunctionChecker.JunctionCheckerPlugin.mapFrameInitialized(JunctionCheckerPlugin.java:52)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:601)
	at org.openstreetmap.josm.plugins.PluginProxy.mapFrameInitialized(PluginProxy.java:29)
	at org.openstreetmap.josm.plugins.PluginHandler.notifyMapFrameChanged(PluginHandler.java:835)
	at org.openstreetmap.josm.Main.setMapFrame(Main.java:210)
	at org.openstreetmap.josm.Main.addLayer(Main.java:323)
	at org.openstreetmap.josm.actions.downloadtasks.DownloadOsmTask$DownloadTask.finish(DownloadOsmTask.java:191)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable$1.run(PleaseWaitRunnable.java:89)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:241)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:705)
	at java.awt.EventQueue.access$000(EventQueue.java:101)
	at java.awt.EventQueue$3.run(EventQueue.java:666)
	at java.awt.EventQueue$3.run(EventQueue.java:664)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:675)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:211)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:128)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:121)
	at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
	at java.awt.Dialog.show(Dialog.java:1072)
	at java.awt.Component.show(Component.java:1651)
	at java.awt.Component.setVisible(Component.java:1603)
	at java.awt.Window.setVisible(Window.java:1013)
	at java.awt.Dialog.setVisible(Dialog.java:1003)
	at org.openstreetmap.josm.gui.progress.PleaseWaitProgressMonitor$4.run(PleaseWaitProgressMonitor.java:170)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:705)
	at java.awt.EventQueue.access$000(EventQueue.java:101)
	at java.awt.EventQueue$3.run(EventQueue.java:666)
	at java.awt.EventQueue$3.run(EventQueue.java:664)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:675)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:211)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:128)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:117)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:113)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:90)

comment:6 Changed 8 years ago by jttt

Resolution: fixed
Status: reopenedclosed

These stacktraces aren't real errors, only notification that plugin is using unsupported way to create side button, which has only one consequence - actions will not be shown when you right click on toggle dialog titlebar, which is useful only when you hide side buttons permanently (also via right click) because you don't like them to waste vertical space and you also find dynamic buttons annoying.

Having said that, both licence change and junction checking plugin should be fixed now.

comment:7 Changed 8 years ago by akks

<del> - duplicate

Last edited 8 years ago by akks (previous) (diff)

comment:7 Changed 8 years ago by akks

I like this design solution, thank you!

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.